TelnetTask (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.net.TelnetTask,TelnetTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.net
Class TelnetTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.net.TelnetTask

public class TelnetTask
extends Task

Automates the telnet protocol.

Nested Class Summary
`class` | `TelnetTask.AntTelnetClient` This class handles the abstraction of the telnet protocol.
`class` | `TelnetTask.TelnetRead` Reads the output from the connected server until the required string is found or we time out.
`class` | `TelnetTask.TelnetSubTask` This class is the parent of the Read and Write tasks.
`class` | `TelnetTask.TelnetWrite` Sends text to the connected server

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TelnetTask()`

Method Summary
`TelnetTask.TelnetSubTask` | `createRead()` A string to wait for from the server.
`TelnetTask.TelnetSubTask` | `createWrite()` Add text to send to the server A subTask <write> tag was found.
`void` | `execute()` Verify that all parameters are included.
`void` | `setInitialCR(boolean b)` send a carriage return after connecting; optional, defaults to false.
`void` | `setPassword(java.lang.String p)` Set the the login password to use required if `userid` is set.
`void` | `setPort(int p)` Set the tcp port to connect to; default is 23.
`void` | `setServer(java.lang.String m)` Set the hostname or address of the remote server.
`void` | `setTimeout(java.lang.Integer i)` set a default timeout in seconds to wait for a response, zero means forever (the default)
`void` | `setUserid(java.lang.String u)` Set the the login id to use on the server; required if `password` is set.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TelnetTask

    public TelnetTask()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Verify that all parameters are included. Connect and possibly login Iterate through the list of Reads and writes

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setUserid

    public void setUserid(java.lang.String u)

  Set the the login id to use on the server; required if `password` is set.

### setPassword

    public void setPassword(java.lang.String p)

  Set the the login password to use required if `userid` is set.

### setServer

    public void setServer(java.lang.String m)

  Set the hostname or address of the remote server.

### setPort

    public void setPort(int p)

  Set the tcp port to connect to; default is 23.

### setInitialCR

    public void setInitialCR(boolean b)

  send a carriage return after connecting; optional, defaults to false.

### setTimeout

    public void setTimeout(java.lang.Integer i)

  set a default timeout in seconds to wait for a response, zero means forever (the default)

### createRead

    public TelnetTask.TelnetSubTask createRead()

  A string to wait for from the server. A subTask <read> tag was found. Create the object, Save it in our list, and return it.

### createWrite

    public TelnetTask.TelnetSubTask createWrite()

  Add text to send to the server A subTask <write> tag was found. Create the object, Save it in our list, and return it.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.